### Function

# Rsvg pixbuf_from_file_at_max_size

deprecated: Unknown

#### Declaration [src]

    GdkPixbuf*
    rsvg_pixbuf_from_file_at_max_size (
      const gchar* filename,
      gint max_width,
      gint max_height,
      GError** error
    )

#### Description [src]

Loads a new `GdkPixbuf` from `filename` and returns it. This pixbuf is uniformly scaled so that the it fits into a rectangle of size `max_width * max_height`. The caller must assume the reference to the returned pixbuf. If an error occurred, `error` is set and `NULL` is returned.

Deprecated since: Unknown

Use `rsvg_handle_new_from_file()` and `rsvg_handle_render_document()` instead.

#### Parameters

`filename`

  Type: `const gchar*`

  A file name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`max_width`

  Type: `gint`

  The requested max width.

`max_height`

  Type: `gint`

  The requested max height.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GdkPixbuf`

A pixbuf, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.